/***********************************************************************************
*  Copyright 2025 Freedom IOT, LLC                                                 *
*  All Rights Reserved.                                                            *
************************************************************************************
*        ______                   __                   ________  ______            *
*       / ____/_______  ___  ____/ /___  ____ ___     /  _/ __ \/_  __/            *
*      / /_  / ___/ _ \/ _ \/ __  / __ \/ __ `__ \    / // / / / / /               *
*     / __/ / /  /  __/  __/ /_/ / /_/ / / / / / /  _/ // /_/ / / /                *
*    /_/   /_/   \___/\___/\__,_/\____/_/ /_/ /_/  /___/\____/ /_/                 *
*                                                                                  *
***********************************************************************************/


._5ME_btnOK, #btnOKAvailParams {
    background-image: url('../images/check.png');
    background-color: rgb(215, 215, 215);
    background-repeat:no-repeat;
    background-position: center;
}

#btnCancel {
    background-image: url('../images/delete.png'),
        -webkit-gradient(linear, 0% 0%, 0% 100%, color-stop(0%, #cccccc),
        color-stop(4%, #ffffff), color-stop(100%, #cccccc)) !important;
    background-image: url('../images/delete.png'),
        -moz-linear-gradient(top, #cccccc 0%, #ffffff 4%, #cccccc 100%) !important;
    background-position: center;
}

._5ME_btnRefresh {
    background-image: url('../images/refresh.png');
    background-color: rgb(215, 215, 215);
    background-repeat:no-repeat;
    background-position: center;
}


#loading-mask {
  position: absolute;
  left:     0;
  top:      0;
  width:    100%;
  height:   100%;
  z-index:  99998;
  background-color: white;
}

#loading {
  position: absolute;
  left:     50%;
  top:      50%;
  padding:  2px;
  z-index:  99999;
  height:   auto;
  margin:   -35px 0 0 -30px;
}

#loading .loading-indicator {
  background: url(../images/loading_icon.gif) no-repeat;
  color:      #555;
  font:       bold 13px tahoma,arial,helvetica;
  padding:    50px 84px;
  margin:     0;
  text-align: center;
  height:     auto;
}


/*******
 *** TODO: Classes need to be cleaned up
 *** (most should be obsosolete)
 */


#appSelect .x-resizable-handle {
    display: none;
}

/*************************/

/*.btnOK,*/ .btnOKAvailParams {
    background-image: url('../images/check.png') !important;
    background-position: center;
}

.btnCancel {
    background-image: url('../images/delete.png') !important;
    background-position: center;
}
/*
.btnRefresh {
    background-image: url('../images/refresh.png') !important;
    background-position: center;
}
*/
#btnRptParams {
    background-image: url('../images/cubes.png') !important;
    background-position: center;
}

#btnTest {
    background-image: url('../images/bookmark.png') !important;
    background-position: center;
}

#btnTest2 {
    background-image: url('../images/bookmark.png') !important;
    background-position: center;
}

.btnLegendSel {
    background-image: url('../images/legend.png') !important;
    background-position: center;
}

.btnModSel {
    background-image: url('../images/package.png') !important;
    background-position: center;
}

.btnMachSel, .btnUserSel {
    background-image: url('../images/cubes.png') !important;
    background-position: center;
}

.btnAdminSel {
    background-image: url('../images/admin.png') !important;
    background-position: center;
}

.btnLang {
    background-image: url('../images/langicon.png') !important;
    background-position: center;
}

.btnCommStatus {
    background-image: url('../images/CommMachDown.png') !important;
    background-position: center;
}

.btnPrint {
    background-image: url('../images/printer.png') !important;
    background-position: center;
}

.btnEmail {
    background-image: url('../images/mail_write.png') !important;
    background-position: center;
}

.btnCommStatus {
    background-image: url('../images/CommMachDown.png') !important;
    background-position: center;
}

.btnExport {
    background-image: url('../images/excel.png') !important;
    background-position: center;
}

.btnConfigCharts {
    background-image: url('../images/oszillograph16.png') !important;
    background-position: center;
}

.btnAdmin {
    background-image: url('../images/admin.png') !important;
    background-position: center;
}

.btnHelp {
    background-image: url('../images/help.png') !important;
    background-position: center;
}

.availBtnZoomPrev {
    background-image: url('../images/nav_left_blue.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnZoomOut {
    background-image: url('../images/nav_up_left_green.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnZoomUp {
    background-image: url('../images/nav_up_yellow.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnStart {
    background-image: url('../images/calendar.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnEnd {
    background-image: url('../images/calendar.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnLeft, #btnMachLeft, #btnUserLeft {
    background-image: url('../images/arrow_left_blue.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnRight, #btnMachRight, #btnUserRight{
    background-image: url('../images/arrow_right_blue.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnToday {
    background-image: url('../images/today.PNG') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnThisWeek {
    background-image: url('../images/this_week.PNG') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnThisMonth {
    background-image: url('../images/this_month.PNG') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnThisYear {
    background-image: url('../images/this_year.PNG') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.availBtnRefresh {
    background-image: url('../images/refresh.png') !important;
    background-position: center;
    background-repeat: no-repeat;
}

.btnNewTicket {
    background-image: url('../images/document_new.png') !important;
    background-position: center;
}

.btnDeleteTicket {
    background-image: url('../images/delete.png') !important;
    background-position: center;
}

.btnSearchTicket {
    background-image: url('../images/find.png') !important;
    background-position: center;
}

#btnAdminNew {
    background-image: url('../images/document_new.png') !important;
    background-position: center;
}

#btnAdminSave {
    background-image: url('../images/document_ok.png') !important;
    background-position: center;
}

#btnAdminCopy {
    background-image: url('../images/copy.png') !important;
    background-position: center;
}

#btnAdminDelete {
    background-image: url('../images/document_delete.png') !important;
    background-position: center;
}

.companyLogo {
    background: url(../images/logo_mini.PNG) no-repeat left center transparent;
    width: 60px;
    height: 18px;
}

.freedomLogo {
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

/* Styles used by Ext.ux.form.ItemSelector
 * (Used with the adminApp...)
 */

.x-form-multiselect-body .x-boundlist .x-mask {
    background: none;
}

.x-form-itemselector-body .x-form-item {
    margin: 0;
}

.x-form-itemselector-top {
    background-image: url(../images/top2.gif);
}
.x-form-itemselector-up {
    background-image: url(../images/up2.gif);
}
.x-form-itemselector-add {
    background-image: url(../images/right2.gif);
}
.x-form-itemselector-remove {
    background-image: url(../images/left2.gif);
}
.x-form-itemselector-down {
    background-image: url(../images/down2.gif);
}
.x-form-itemselector-bottom {
    background-image: url(../images/bottom2.gif);
}

/* Extemporary 5ME styling...
 *
 */

.x-body,
.x-window-header-text-default,
.x-panel-header-text-default,
.x-grid-row .x-grid-cell,
.x-form-item,
.x-form-item-label,
.x-form-field,
.x-form-display-field,
.x-form-cb-label,
.x-panel-header-text-default-framed,
.x-panel-body-default,
.x-btn-default-toolbar-small .x-btn-inner,
.x-column-header,
.x-boundlist-item,
.x-toolbar .x-toolbar-text
{
    /*font-family: Calibri, Helvetica, sans-serif;*/
    font-family: Verdana, Helvetica, sans-serif;
}


.cust-panel-header-label {
    display: inline-block;
    margin-top: 4px;
    color: #04408c;
    font: normal 11px/14px arial,sans-serif;
}
.cust-panel-header-label-after {
    padding-left: 17px;
}




/* used to vertically center grid cell text */
.vert-align-rows td.x-grid-cell {
  vertical-align: middle
}

/* Styles based on special 5ME ePORTAL classes:
 */
._5ME_module_part {
    background: #1d3767 /*url(../images/white5ME.png)*/ no-repeat 0px 0px;
}
._5ME_module_sel_field {
    font: bold 14px Calibri, Helvetica, sans-serif;
    color: #04468C;
}
._5ME_machine_sel_field, ._5ME_schema_sel_field{
    font: bold 14px Calibri, Helvetica, sans-serif;
    color: #04468C;
}
._5ME_user_part label, ._5ME_toolbar1_part label, ._5ME_toolbar2_part label {
    font: bold 14px Calibri, Helvetica, sans-serif;
/*    color: #04468C; */
    color: #888;
}
._5ME_toolbar1_part {
    background-color: #f5f5f5
}
._5ME_toolbar2_part {
    background-color: #eeeeee
}
._5ME_iframe_part {
    background-color: #ffffff
}
._5ME_portlet_part {
    background-color: #dbdbdb;
}
._5ME_portletNav_part, ._5ME_portletNav_part .x-grid-cell {
    background-color: #2d3440;
    color: silver;
    font: 18px/20px Calibri, Helvetica, sans-serif;
}
._5ME_portletNav_part .x-grid-row-over .x-grid-td {
    background-color: #44496b;
    cursor: pointer;
}
._5ME_portletNav_part .x-grid-row-selected .x-grid-td {
    background-color: #0aaee0;
    color: white;
}
._5ME_modvers_part {
    background-color: #2d3440;
    color: silver;
    font: normal 14px/14px Verdana, Helvetica, sans-serif;
}
._5ME_module_vers {
    font: normal 10px/12px Verdana, Helvetica, sans-serif;
}
._5ME_copyright {
    color: #0aaee0;
    font: normal 10px/18px Verdana, Helvetica, sans-serif;
}
._5ME_report, ._5ME_report > .x-panel-header, ._5ME_report > .x-panel-body, ._5ME_report .x-tabpanel-child > .x-panel-body {
  border: none;
  background: none;
  box-shadow: none;
}
._5ME_report_title {
    font: bold 28px/22px Calibri, Helvetica, sans-serif;
    color: #48485d;
}
._5ME_report .x-panel-header-text-report {
    font: bold 14px/16px Calibri, Helvetica, sans-serif !important;
    color: #005099;
}
._5ME_container > .x-box-inner, ._5ME_report .x-panel-body > .x-box-inner, ._5ME_report .x-tabpanel-child > .x-panel-body {
  overflow: visible;  /* make part's shadow visible to the right */
}

._5ME_report_part, ._5ME_report_part > .x-panel-header, ._5ME_report_part > .x-panel-body {
  border: none;
  background: #ffffff;
}
div._5ME_report_part {
  box-shadow: 1px 1px 5px #999;
}
._5ME_report_part .x-header-text-container {
    font: bold 16px/18px Calibri, Helvetica, sans-serif;
    color: #888;
}

._5ME_use_tree_icons_ .x-tree-icon {
 display: inline !important;   
}

._5ME_report_part .x-tree-icon, ._5ME_portletNav_part .x-tree-icon {
    display: none; /* !important;  */
}
._5ME_portletNav_part .x-grid-cell-inner-treecolumn > span {
  display: inline;
  overflow: hidden;
  padding-left: 10px;
  white-space: nowrap;
  text-overflow: ellipsis;
}
._5ME_report_tools, ._5ME_report_actions {
  background: #ffffff;
  box-shadow: 1px 1px 5px #999;
}

._5ME_status_part, ._5ME_status_part > .x-window-header,  ._5ME_status_part > .x-window-body-default {
  background: #ffffff;
}
._5ME_status_part > .x-window-body-default {
  border: none;
}
._5ME_status_part .x-form-display-field {
  font-weight: bold;
  line-height: 20px;
  padding-left: 5px;
}

/* Load mask
 */
.x-mask-msg {
  width: 105px;
  height: 105px;
  background: url(../images/loading_icon.gif) transparent center no-repeat !IMPORTANT;
  border: none;
  box-shadow: 3px 3px 10px #999;
}
.x-mask-msg-inner {
  border: none;
  background: none;
}
.x-mask-msg-text {
  display: none;  /* hide Loading... text */
  background: none;
}
/*
._5ME_report_part {
  padding: 18px
}
*/